# 爬取页面 (/zh/api-reference/endpoint/webhook-crawl-page)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 1132 · updated: 2026-07-30 -->
Related: [Search（搜索）](/zh/api-reference/endpoint/search.md), [搜索反馈](/zh/api-reference/endpoint/search-feedback.md), [Scrape](/zh/api-reference/endpoint/scrape.md), [批量抓取](/zh/api-reference/endpoint/batch-scrape.md), [获取批量抓取状态](/zh/api-reference/endpoint/batch-scrape-get.md), [取消批量抓取](/zh/api-reference/endpoint/batch-scrape-delete.md)

有关 payload 示例、配置和重试行为，请参见 [Webhook Event Types](/zh/webhooks/events#crawlpage) 和 [Webhook Overview](/zh/webhooks/overview)。

`POST` webhook `crawlPage`

爬取页面

## OpenAPI

```json
{
  "parameters": [
    {
      "description": "原始请求体的 HMAC-SHA256 签名，格式为 `sha256=<hex>`。当你在[账户设置](https://www.firecrawl.dev/app/settings?tab=advanced)中配置了 HMAC 密钥时，该字段会出现。有关验证详情，请参阅 [Webhook 安全](/webhooks/security)。",
      "in": "header",
      "name": "X-Firecrawl-Signature",
      "required": false,
      "schema": {
        "example": "sha256=abc123def456789...",
        "type": "string"
      }
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "example": {
          "data": [
            {
              "markdown": "# Example Page\n\nThis is the page content.",
              "metadata": {
                "description": "页面示例。",
                "sourceURL": "https://example.com/page",
                "statusCode": 200,
                "title": "Example Page"
              }
            }
          ],
          "id": "550e8400-e29b-41d4-a716-446655440000",
          "metadata": {},
          "success": true,
          "type": "crawl.page",
          "webhookId": "a1b2c3d4-0002-0000-0000-000000000000"
        },
        "schema": {
          "properties": {
            "data": {
              "description": "包含抓取到的页面文档的数组。其结构与 `GET /scrape` 响应中的 `data` 字段相同。",
              "items": {
                "description": "抓取到的页面文档。其结构与抓取响应中的 `data` 对象一致。",
                "properties": {
                  "html": {
                    "description": "页面清理后的 HTML 内容。",
                    "type": "string"
                  },
                  "links": {
                    "description": "在页面中发现的出站链接。",
                    "items": {
                      "type": "string"
                    },
                    "type": "array"
                  },
                  "markdown": {
                    "description": "转换为 Markdown 的页面内容。",
                    "type": "string"
                  },
                  "metadata": {
                    "description": "页面元数据。",
                    "properties": {
                      "description": {
                        "description": "meta 描述。",
                        "type": "string"
                      },
                      "sourceURL": {
                        "description": "抓取的 URL。",
                        "type": "string"
                      },
                      "statusCode": {
                        "description": "响应的 HTTP 状态码。",
                        "type": "integer"
                      },
                      "title": {
                        "description": "页面的 `<title>`。",
                        "type": "string"
                      }
                    },
                    "type": "object"
                  },
                  "rawHtml": {
                    "description": "未经任何处理的原始 HTML。",
                    "type": "string"
                  },
                  "screenshot": {
                    "description": "如果请求了 `screenshot` 格式，则返回 Base64 编码的截图。",
                    "type": "string"
                  }
                },
                "type": "object"
              },
              "type": "array"
            },
            "error": {
              "description": "页面抓取失败时的错误信息。",
              "type": "string"
            },
            "id": {
              "description": "爬取任务 ID。",
              "format": "uuid",
              "type": "string"
            },
            "metadata": {
              "additionalProperties": {
                "type": "string"
              },
              "description": "你在 webhook 配置中提供的自定义元数据对象。每次投递时都会原样返回。",
              "type": "object"
            },
            "success": {
              "description": "页面抓取成功时为 `true`，否则为 `false`。",
              "type": "boolean"
            },
            "type": {
              "const": "crawl.page",
              "description": "事件类型。",
              "type": "string"
            },
            "webhookId": {
              "description": "此次 webhook 投递的唯一标识符。",
              "format": "uuid",
              "type": "string"
            }
          },
          "required": [
            "success",
            "type",
            "id",
            "webhookId",
            "data"
          ],
          "type": "object"
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "返回任意 `2xx` 状态码以确认已接收。"
    }
  }
}
```
